# Generated by Django 4.2.3 on 2023-07-30 16:45

from django.db import migrations, models


def populate_current(apps, schema_editor):
    Event = apps.get_model('events', 'Event')
    current_event = Event.objects.filter(is_published=True).order_by('-end_date')[0]
    current_event.current = True
    current_event.save()
    Event.objects.filter(current__isnull=True).update(current=False)


class Migration(migrations.Migration):

    dependencies = [
        ('events', '0015_event_clues_in_flavour'),
    ]

    operations = [
        migrations.RunPython(
            code=migrations.RunPython.noop,
            reverse_code=populate_current,
        ),
        migrations.AlterField(
            model_name='event',
            name='current',
            field=models.BooleanField(default=False),
        ),
        migrations.RemoveField(
            model_name='event',
            name='current',
        ),
        migrations.AddField(
            model_name='event',
            name='is_published',
            field=models.BooleanField(default=True, help_text='Should the event be listed on the home page?'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='event',
            name='is_published',
            field=models.BooleanField(default=False, help_text='Should the event be listed on the home page?'),
        ),
    ]
